Subject: linux-next: manual merge of the kmemcheck tree with the x86 tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 19 Mar 2009 18:49:46 +1100

Hi all,

Today's linux-next merge of the kmemcheck tree got a conflict in
arch/x86/kernel/head_32.S between commits
2bd2753ff46346543ab92e80df9d96366e21baa5 ("x86: put initial_pg_tables
into .bss") and c090f532db3ab5b7be503f8ac84b0d33a18646c6 ("x86-32: make
sure we map enough to fit linear map pagetables") from the x86 tree and
commit a7fff94fffaa0cecb923d6c1bb9b7691f608b49a ("Revert "kmemcheck: use
set_memory_4k() instead of disabling PSE"") from the kmemcheck tree.

I fixed it up (by using the version from the x86 tree - which is also
what is done in tip/master) and can carry the fix as necessary.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/